commit:     57977e0d23776701bf3cb920cc4885f15d57179c
Author:     Francesco Riosa <vivo75 <AT> gmail <DOT> com>
AuthorDate: Tue Feb 11 16:37:30 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 11:49:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57977e0d

media-libs/libiptcdata: 1.0.5 version bump

This version is ABI and API compatible (no code change) to version
1.0.4.
However build system has been updated and it's now possible to use
python 3

Closes: https://bugs.gentoo.org/708706
Signed-off-by: Francesco Riosa <vivo75 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/14626
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libiptcdata/Manifest                 |  1 +
 media-libs/libiptcdata/libiptcdata-1.0.5.ebuild | 47 +++++++++++++++++++++++++
 media-libs/libiptcdata/metadata.xml             |  9 ++++-
 3 files changed, 56 insertions(+), 1 deletion(-)

diff --git a/media-libs/libiptcdata/Manifest b/media-libs/libiptcdata/Manifest
index 54428519730..82ef7d2f682 100644
--- a/media-libs/libiptcdata/Manifest
+++ b/media-libs/libiptcdata/Manifest
@@ -1 +1,2 @@
 DIST libiptcdata-1.0.4.tar.gz 569132 BLAKE2B 
acfac5b4f5945f38da47a5280b92939089f2efa8e4ceae9ad00d9d21c7f062445f63c74d61493e711102789edb8c98ffe49083635f67e836a87c32e1127371e5
 SHA512 
8656b2febaec133d1a8783252047672bebd58ae9ceab5477c4acfa35bcc381dfda08b655a957b962878af28c69deff77d920e780c84b4debdff2f980b3de94e8
+DIST libiptcdata-1.0.5.tar.gz 593779 BLAKE2B 
7e5226a289fed5c2f4b662efaa693a8b38e95ac34bc1365af05d1af649be876d3e5b58fecea4818255879bd7518aa482cb623540601fb3c8065acd428439a29c
 SHA512 
64ef44b1e639890004f31d5d42844ba25ed558f0a118f1dad9bc3f4dcad2457e51b825a13df849659b0e15afc78f528f330b03be94cdf156bd95b62dc419494a

diff --git a/media-libs/libiptcdata/libiptcdata-1.0.5.ebuild 
b/media-libs/libiptcdata/libiptcdata-1.0.5.ebuild
new file mode 100644
index 00000000000..e83c9fc1c5b
--- /dev/null
+++ b/media-libs/libiptcdata/libiptcdata-1.0.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit python-single-r1
+
+DESCRIPTION="Library for International Press Telecommunications Council (IPTC) 
metadata"
+HOMEPAGE="https://github.com/ianw/libiptcdata 
http://libiptcdata.sourceforge.net";
+SRC_URI="https://github.com/ianw/${PN}/releases/download/release_1_0_5/${P}.tar.gz";
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples nls python"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( >=sys-devel/gettext-0.13.1 )
+       doc? ( >=dev-util/gtk-doc-1 )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_configure () {
+       local myeconfargs=( $(use_enable nls)
+               $(use_enable python)
+               $(use_enable doc gtk-doc) )
+       econf "${myeconfargs[@]}"
+}
+
+src_install () {
+       default
+
+       if use examples; then
+               dodoc python/README
+               dodoc -r python/examples
+       fi
+
+       find "${D}" -name '*.la' -delete || die "failed to remove *.la files"
+}

diff --git a/media-libs/libiptcdata/metadata.xml 
b/media-libs/libiptcdata/metadata.xml
index ddce428cece..e578bbc2440 100644
--- a/media-libs/libiptcdata/metadata.xml
+++ b/media-libs/libiptcdata/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Francesco Riosa</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <longdescription lang="en">
                libiptcdata is a library, written in C, for manipulating the
                International Press Telecommunications Council (IPTC) metadata 
stored

Reply via email to